#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1485\r"; sleep 2;
echo -e "write (0,1) -1399\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1447\r"; sleep 2;
echo -e "write (0,4) -1458\r"; sleep 2;
echo -e "write (0,5) -1615\r"; sleep 2;
echo -e "write (0,6) -1641\r"; sleep 2;
echo -e "write (0,9) -1571\r"; sleep 2;
echo -e "write (0,10) -1463\r"; sleep 2;
echo -e "write (0,11) -1363\r"; sleep 2;
echo -e "write (0,12) -1419\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1554\r"; sleep 2;
echo -e "write (1,0) -1467\r"; sleep 2;
echo -e "write (1,1) -1449\r"; sleep 2;
echo -e "write (1,2) -1554\r"; sleep 2;
echo -e "write (1,3) -1600\r"; sleep 2;
echo -e "write (1,4) -1548\r"; sleep 2;
echo -e "write (1,5) -1364\r"; sleep 2;
echo -e "write (1,6) -1539\r"; sleep 2;
echo -e "write (1,9) -1399\r"; sleep 2;
echo -e "write (1,10) -1447\r"; sleep 2;
echo -e "write (1,11) -1273\r"; sleep 2;
echo -e "write (1,12) -1510\r"; sleep 2;
echo -e "write (1,13) -1364\r"; sleep 2;
echo -e "write (1,14) -1529\r"; sleep 2;
echo -e "write (2,0) -1503\r"; sleep 2;
echo -e "write (2,1) -1444\r"; sleep 2;
echo -e "write (2,2) -1465\r"; sleep 2;
echo -e "write (2,3) -1610\r"; sleep 2;
echo -e "write (2,4) -1631\r"; sleep 2;
echo -e "write (2,5) -1477\r"; sleep 2;
echo -e "write (2,6) -1430\r"; sleep 2;
echo -e "write (2,9) -1626\r"; sleep 2;
echo -e "write (2,10) -1614\r"; sleep 2;
echo -e "write (2,11) -1300\r"; sleep 2;
echo -e "write (2,12) -1457\r"; sleep 2;
echo -e "write (2,14) -1671\r"; sleep 2;
echo -e "write (3,0) -1514\r"; sleep 2;
echo -e "write (3,1) -1296\r"; sleep 2;
echo -e "write (3,2) -1339\r"; sleep 2;
echo -e "write (3,3) -1655\r"; sleep 2;
echo -e "write (3,4) -1395\r"; sleep 2;
echo -e "write (3,5) -1402\r"; sleep 2;
echo -e "write (3,6) -1274\r"; sleep 2;
echo -e "write (3,9) -1480\r"; sleep 2;
echo -e "write (3,10) -1600\r"; sleep 2;
echo -e "write (3,11) -1398\r"; sleep 2;
echo -e "write (3,12) -1658\r"; sleep 2;
echo -e "write (3,13) -1331\r"; sleep 2;
echo -e "write (3,14) -1444\r"; sleep 2;
echo -e "write (4,0) -1663\r"; sleep 2;
echo -e "write (4,1) -1465\r"; sleep 2;
echo -e "write (4,2) -1528\r"; sleep 2;
echo -e "write (4,3) -1654\r"; sleep 2;
echo -e "write (4,4) -1565\r"; sleep 2;
echo -e "write (4,5) -1308\r"; sleep 2;
echo -e "write (4,6) -1327\r"; sleep 2;
echo -e "write (4,9) -1600\r"; sleep 2;
echo -e "write (4,10) -1579\r"; sleep 2;
echo -e "write (4,11) -1382\r"; sleep 2;
echo -e "write (4,12) -1683\r"; sleep 2;
echo -e "write (4,13) -1528\r"; sleep 2;
echo -e "write (4,14) -1376\r"; sleep 2;
echo -e "write (5,0) -1480\r"; sleep 2;
echo -e "write (5,1) -1342\r"; sleep 2;
echo -e "write (5,2) -1398\r"; sleep 2;
echo -e "write (5,3) -1425\r"; sleep 2;
echo -e "write (5,4) -1622\r"; sleep 2;
echo -e "write (5,5) -1399\r"; sleep 2;
echo -e "write (5,6) -1472\r"; sleep 2;
echo -e "write (5,9) -1294\r"; sleep 2;
echo -e "write (5,10) -1626\r"; sleep 2;
echo -e "write (5,11) -1382\r"; sleep 2;
echo -e "write (5,12) -1412\r"; sleep 2;
echo -e "write (5,13) -1655\r"; sleep 2;
echo -e "write (5,14) -1530\r"; sleep 2;
echo -e "write (6,0) -1563\r"; sleep 2;
echo -e "write (6,1) -1687\r"; sleep 2;
echo -e "write (6,2) -1425\r"; sleep 2;
echo -e "write (6,3) -1487\r"; sleep 2;
echo -e "write (6,4) -1363\r"; sleep 2;
echo -e "write (6,5) -1243\r"; sleep 2;
echo -e "write (6,6) -1465\r"; sleep 2;
echo -e "write (6,9) -1596\r"; sleep 2;
echo -e "write (6,10) -1597\r"; sleep 2;
echo -e "write (6,11) -1459\r"; sleep 2;
echo -e "write (6,12) -1390\r"; sleep 2;
echo -e "write (6,13) -1443\r"; sleep 2;
echo -e "write (6,14) -1411\r"; sleep 2;
echo -e "write (7,0) -1377\r"; sleep 2;
echo -e "write (7,1) -1416\r"; sleep 2;
echo -e "write (7,2) -1171\r"; sleep 2;
echo -e "write (7,3) -1557\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1528\r"; sleep 2;
echo -e "write (7,6) -1611\r"; sleep 2;
echo -e "write (7,9) -1405\r"; sleep 2;
echo -e "write (7,10) -1519\r"; sleep 2;
echo -e "write (7,11) -1473\r"; sleep 2;
echo -e "write (7,12) -1230\r"; sleep 2;
echo -e "write (7,13) -1338\r"; sleep 2;
echo -e "write (7,14) -1476\r"; sleep 2;
echo -e "write (8,0) -1206\r"; sleep 2;
echo -e "write (8,1) -1491\r"; sleep 2;
echo -e "write (8,2) -1279\r"; sleep 2;
echo -e "write (8,3) -1431\r"; sleep 2;
echo -e "write (8,4) -1388\r"; sleep 2;
echo -e "write (8,5) -1479\r"; sleep 2;
echo -e "write (8,6) -1535\r"; sleep 2;
echo -e "write (8,9) -1470\r"; sleep 2;
echo -e "write (8,10) -1516\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -1571\r"; sleep 2;
echo -e "write (8,13) -1319\r"; sleep 2;
echo -e "write (8,14) -1600\r"; sleep 2;
echo -e "write (9,0) -1209\r"; sleep 2;
echo -e "write (9,1) -1327\r"; sleep 2;
echo -e "write (9,2) -1211\r"; sleep 2;
echo -e "write (9,3) -1264\r"; sleep 2;
echo -e "write (9,4) -1224\r"; sleep 2;
echo -e "write (9,5) -1455\r"; sleep 2;
echo -e "write (9,6) -1340\r"; sleep 2;
echo -e "write (9,9) -1476\r"; sleep 2;
echo -e "write (9,10) -1207\r"; sleep 2;
echo -e "write (9,11) -1603\r"; sleep 2;
echo -e "write (9,12) -1476\r"; sleep 2;
echo -e "write (9,13) -1390\r"; sleep 2;
echo -e "write (9,14) -1382\r"; sleep 2;
echo -e "write (10,0) -1280\r"; sleep 2;
echo -e "write (10,1) -1362\r"; sleep 2;
echo -e "write (10,2) -1586\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1531\r"; sleep 2;
echo -e "write (10,5) -1502\r"; sleep 2;
echo -e "write (10,6) -1365\r"; sleep 2;
echo -e "write (10,9) -1590\r"; sleep 2;
echo -e "write (10,10) -1583\r"; sleep 2;
echo -e "write (10,11) -1476\r"; sleep 2;
echo -e "write (10,12) -1355\r"; sleep 2;
echo -e "write (10,13) -1649\r"; sleep 2;
echo -e "write (10,14) -1451\r"; sleep 2;
echo -e "write (11,0) -1428\r"; sleep 2;
echo -e "write (11,1) -1271\r"; sleep 2;
echo -e "write (11,2) -1491\r"; sleep 2;
echo -e "write (11,3) -1493\r"; sleep 2;
echo -e "write (11,4) -1142\r"; sleep 2;
echo -e "write (11,5) -1428\r"; sleep 2;
echo -e "write (11,6) -1528\r"; sleep 2;
echo -e "write (11,9) -1636\r"; sleep 2;
echo -e "write (11,10) -1354\r"; sleep 2;
echo -e "write (11,11) -1326\r"; sleep 2;
echo -e "write (11,12) -1297\r"; sleep 2;
echo -e "write (11,13) -1398\r"; sleep 2;
echo -e "write (11,14) -1334\r"; sleep 2;
echo -e "write (12,0) -1252\r"; sleep 2;
echo -e "write (12,1) -1362\r"; sleep 2;
echo -e "write (12,2) -1376\r"; sleep 2;
echo -e "write (12,3) -1347\r"; sleep 2;
echo -e "write (12,4) -1463\r"; sleep 2;
echo -e "write (12,5) -1356\r"; sleep 2;
echo -e "write (12,6) -1361\r"; sleep 2;
echo -e "write (12,9) -1368\r"; sleep 2;
echo -e "write (12,10) -1295\r"; sleep 2;
echo -e "write (12,11) -1229\r"; sleep 2;
echo -e "write (12,12) -1528\r"; sleep 2;
echo -e "write (12,13) -1642\r"; sleep 2;
echo -e "write (12,14) -1385\r"; sleep 2;
echo -e "write (13,0) -1460\r"; sleep 2;
echo -e "write (13,1) -1596\r"; sleep 2;
echo -e "write (13,2) -1550\r"; sleep 2;
echo -e "write (13,3) -1522\r"; sleep 2;
echo -e "write (13,4) -1600\r"; sleep 2;
echo -e "write (13,5) -1596\r"; sleep 2;
echo -e "write (13,6) -1461\r"; sleep 2;
echo -e "write (13,9) -1465\r"; sleep 2;
echo -e "write (13,10) -1482\r"; sleep 2;
echo -e "write (13,11) -1552\r"; sleep 2;
echo -e "write (13,12) -1475\r"; sleep 2;
echo -e "write (13,13) -1607\r"; sleep 2;
echo -e "write (13,14) -1615\r"; sleep 2;
echo -e "write (14,0) -1444\r"; sleep 2;
echo -e "write (14,1) -1353\r"; sleep 2;
echo -e "write (14,2) -1539\r"; sleep 2;
echo -e "write (14,3) -1539\r"; sleep 2;
echo -e "write (14,4) -1464\r"; sleep 2;
echo -e "write (14,5) -1378\r"; sleep 2;
echo -e "write (14,6) -1237\r"; sleep 2;
echo -e "write (14,9) -1420\r"; sleep 2;
echo -e "write (14,10) -1232\r"; sleep 2;
echo -e "write (14,11) -1334\r"; sleep 2;
echo -e "write (14,12) -1445\r"; sleep 2;
echo -e "write (14,13) -1540\r"; sleep 2;
echo -e "write (14,14) -1272\r"; sleep 2;
echo -e "write (15,0) -1421\r"; sleep 2;
echo -e "write (15,1) -1298\r"; sleep 2;
echo -e "write (15,2) -900\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
